import { ISpotlightOptions } from "../utils/options/ISpotlightOptions";
import { IElementInformation } from "../utils/IElementInformation";
export default class Actor {
    private _root;
    private readonly _builder;
    private name;
    private readonly _options;
    isNull: boolean;
    constructor(rootBuilder: () => Promise<HTMLElement>, options?: ISpotlightOptions);
    get root(): HTMLElement;
    get options(): ISpotlightOptions;
    build(): Promise<any>;
    getInformation(): Promise<IElementInformation>;
    private _isOutOfViewport;
    scrollIntoView(options: ISpotlightOptions): void;
    toString(): string;
}
