import { ISpotlightOptions } from "../utils/options/ISpotlightOptions";
import Actor from "../actor/Actor";
export declare class Sign {
    private readonly root;
    private readonly options;
    private readonly background;
    private readonly _previousCallback;
    private readonly _nextCallback;
    private readonly _resetCallback;
    constructor(options: ISpotlightOptions, previousCallback: Function, nextCallback: Function, resetCallback: Function);
    private isVisible;
    hide(deactivateBackground?: boolean): void;
    show(): void;
    private _getOptions;
    setContent(actor: Actor): void;
    setHTMLMessage(actor: Actor): Promise<void>;
    forcePositionRecomputing(actor: Actor): Promise<void>;
    private _centerSign;
    private _setPosition;
    private _buildControls;
}
