import Actor from "../actor/Actor";
import { ISpotlightOptions } from "../utils/options/ISpotlightOptions";
export default class Spot {
    private readonly spot;
    private focusedActor;
    isVisible: boolean;
    private readonly options;
    constructor(options: ISpotlightOptions);
    private _applyOptions;
    private _importCSS;
    focus(actor: Actor): Promise<any>;
    adaptToActorSize(): Promise<void>;
    turnOn(): void;
    turnOff(): void;
}
